/**************************************************************************/
/* GE38 ( ファイル種別マスタ )                                            */
/*                                                                        */
/* Created : 2011/08/05 08:07:19                                          */
/**************************************************************************/
CREATE TABLE GE38 (
   SYSTEM_ID   VARCHAR(10)                 NOT NULL                  /* 10  システムID   */
 , SYFILE      VARCHAR(100)                NOT NULL                  /* 20  ファイル種別 */
 , SYNAME      VARCHAR(200)                                          /* 30  種別名称     */
 , DESCRIPTION BLOB                                                  /* 40  概要説明     */
 , HINAGATA    VARCHAR(300)                                          /* 50  雛形ファイル */
 , SAVE_FOLDER VARCHAR(300)                                          /* 60  保管フォルダ */
 , FILE_URL    VARCHAR(300)                                          /* 70  ファイルURL  */
 , ICON_URL    VARCHAR(300)                                          /* 80  アイコンURL  */
 , ROLES       VARCHAR(500)                                          /* 90  ロールズ     */
 , SU_LMT      NUMERIC(5)      DEFAULT 0   NOT NULL                  /* 100 閲覧制限数   */
 , DY_LMT      NUMERIC(5)      DEFAULT 0   NOT NULL                  /* 110 閲覧期日     */
 , SIZE_LMT    NUMERIC(9)      DEFAULT 0   NOT NULL                  /* 120 サイズ制限   */
 , SUFFIX_LMT  VARCHAR(200)                                          /* 130 拡張子制限   */
 , FGANGO      VARCHAR(1)      DEFAULT '0' NOT NULL                  /* 140 暗号化FG     */
 , FGZIP       VARCHAR(1)      DEFAULT '0' NOT NULL                  /* 150 圧縮FG       */
 , UNIQ        BIGINT                      NOT NULL PRIMARY KEY      /* 160 ユニークキー */
 , FGJ         VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 170 状態フラグ   */
 , DYSET       VARCHAR(14)                                           /* 180 登録日時     */
 , PGSET       VARCHAR(10)                                           /* 190 作成PG       */
 , PGPSET      VARCHAR(10)                                           /* 200 作成親PG     */
 , USRSET      VARCHAR(10)                                           /* 210 作成社員     */
 , DYUPD       VARCHAR(14)                                           /* 220 更新日時     */
 , PGUPD       VARCHAR(10)                                           /* 230 更新PG       */
 , PGPUPD      VARCHAR(10)                                           /* 240 更新親PG     */
 , USRUPD      VARCHAR(10)                                           /* 250 更新者       */
);

CREATE SEQUENCE GE38S00 ;


CREATE TRIGGER GE38T00 FOR GE38
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GE38S00,1 );
  END; 


